@import "../index";
@import "../rem";

.base {
    max-height: rem(64px);
    padding: rem(8px) rem(24px);

    .main, .desc {
        display: -webkit-box;
        -webkit-line-clamp: 1;
        -webkit-box-orient: vertical;
        overflow: hidden;
        font-size: rem(15px);
        line-height: 24px;
        text-overflow: ellipsis;
    }

    .main {
        font-weight: bold;
    }

    .desc {
    }

    &:hover {
        background-color: var(--color-primary);

        .main, .desc {
            color: var(--color-white);
        }
    }
}
